Summary: Tools for ethernet bridging
Name: bridge-utils
Version: 1.5
Release: r0.0
License: GPLv2
Group: console/network
Packager: Wind River <info@windriver.com>
URL: http://www.linuxfoundation.org/collaborate/workgroups/networking/bridge
BuildRequires: libtool-cross
BuildRequires: autoconf-native
BuildRequires: libtool-native
BuildRequires: virtual/update-alternatives
BuildRequires: virtual/libc
BuildRequires: virtual/x86_64-wrs-linux-compilerlibs
BuildRequires: gnu-config-native
BuildRequires: sysfsutils
BuildRequires: virtual/x86_64-wrs-linux-gcc
BuildRequires: automake-native
Requires: rtld(GNU_HASH)
Requires: update-alternatives-cworth
Requires: libc.so.6()(64bit)
Requires: libc6 >= 2.18+4.8
Requires: libc.so.6(GLIBC_2.2.5)(64bit)
Requires: libc.so.6(GLIBC_2.14)(64bit)
Requires: /bin/sh
Requires: libc.so.6(GLIBC_2.7)(64bit)
Requires(post): rtld(GNU_HASH)
Requires(post): update-alternatives-cworth
Requires(post): libc.so.6()(64bit)
Requires(post): libc6 >= 2.18+4.8
Requires(post): libc.so.6(GLIBC_2.2.5)(64bit)
Requires(post): libc.so.6(GLIBC_2.14)(64bit)
Requires(post): /bin/sh
Requires(post): libc.so.6(GLIBC_2.7)(64bit)
Requires(postun): rtld(GNU_HASH)
Requires(postun): update-alternatives-cworth
Requires(postun): libc.so.6()(64bit)
Requires(postun): libc6 >= 2.18+4.8
Requires(postun): libc.so.6(GLIBC_2.2.5)(64bit)
Requires(postun): libc.so.6(GLIBC_2.14)(64bit)
Requires(postun): /bin/sh
Requires(postun): libc.so.6(GLIBC_2.7)(64bit)
Suggests: kernel-module-bridge
Provides: /usr/sbin/brctl

%description
Tools for ethernet bridging

%package -n bridge-utils-dbg
Summary: Tools for ethernet bridging - Debugging files
Group: devel
Suggests: libc6-dbg(x86_64)
Recommends: bridge-utils = 1.5-r0.0

%description -n bridge-utils-dbg
Tools for ethernet bridging  This package contains ELF symbols and related
sources for debugging purposes.

%package -n bridge-utils-staticdev
Summary: Tools for ethernet bridging - Development files (Static Libraries)
Group: devel
Requires: bridge-utils-dev = 1.5-r0.0

%description -n bridge-utils-staticdev
Tools for ethernet bridging  This package contains static libraries for
software development.

%package -n bridge-utils-dev
Summary: Tools for ethernet bridging - Development files
Group: devel
Requires: bridge-utils = 1.5-r0.0
Suggests: sysfsutils-dev(x86_64)
Suggests: update-alternatives-cworth-dev
Suggests: libc6-dev(x86_64)

%description -n bridge-utils-dev
Tools for ethernet bridging  This package contains symbolic links, header
files, and related items necessary for software development.

%package -n bridge-utils-doc
Summary: Tools for ethernet bridging - Documentation files
Group: doc

%description -n bridge-utils-doc
Tools for ethernet bridging  This package contains documentation.

%package -n bridge-utils-locale
Summary: Tools for ethernet bridging
Group: console/network

%description -n bridge-utils-locale
Tools for ethernet bridging

%post
# bridge-utils - postinst
#!/bin/sh
	update-alternatives --install /usr/sbin/brctl brctl /usr/sbin/brctl.bridge-utils 100


%postun
# bridge-utils - postrm
#!/bin/sh
if [ "$1" = "0" ] ; then
	update-alternatives --remove  brctl /usr/sbin/brctl.bridge-utils
fi

%files
%defattr(-,-,-,-)
%dir "/usr"
%dir "/lib"
%dir "/etc"
%dir "/usr/share"
%dir "/usr/sbin"
%dir "/usr/share/bridge-utils"
"/usr/sbin/brctl.bridge-utils"
%dir "/lib/bridge-utils"
"/lib/bridge-utils/ifupdown.sh"
"/lib/bridge-utils/bridge-utils.sh"
%dir "/etc/network"
%dir "/etc/network/if-post-down.d"
%dir "/etc/network/if-pre-up.d"
"/etc/network/if-post-down.d/bridge"
"/etc/network/if-pre-up.d/bridge"

%files -n bridge-utils-dbg
%defattr(-,-,-,-)
%dir "/usr"
%dir "/usr/sbin"
%dir "/usr/src"
%dir "/usr/sbin/.debug"
"/usr/sbin/.debug/brctl.bridge-utils"
%dir "/usr/src/debug"
%dir "/usr/src/debug/bridge-utils"
%dir "/usr/src/debug/bridge-utils/1.5-r0"
%dir "/usr/src/debug/bridge-utils/1.5-r0/bridge-utils-1.5"
%dir "/usr/src/debug/bridge-utils/1.5-r0/bridge-utils-1.5/brctl"
%dir "/usr/src/debug/bridge-utils/1.5-r0/bridge-utils-1.5/libbridge"
"/usr/src/debug/bridge-utils/1.5-r0/bridge-utils-1.5/brctl/brctl_disp.c"
"/usr/src/debug/bridge-utils/1.5-r0/bridge-utils-1.5/brctl/brctl.c"
"/usr/src/debug/bridge-utils/1.5-r0/bridge-utils-1.5/brctl/brctl_cmd.c"
"/usr/src/debug/bridge-utils/1.5-r0/bridge-utils-1.5/brctl/brctl.h"
"/usr/src/debug/bridge-utils/1.5-r0/bridge-utils-1.5/libbridge/libbridge_if.c"
"/usr/src/debug/bridge-utils/1.5-r0/bridge-utils-1.5/libbridge/libbridge_private.h"
"/usr/src/debug/bridge-utils/1.5-r0/bridge-utils-1.5/libbridge/libbridge_devif.c"
"/usr/src/debug/bridge-utils/1.5-r0/bridge-utils-1.5/libbridge/libbridge_init.c"
"/usr/src/debug/bridge-utils/1.5-r0/bridge-utils-1.5/libbridge/libbridge.h"
"/usr/src/debug/bridge-utils/1.5-r0/bridge-utils-1.5/libbridge/libbridge_misc.c"

%files -n bridge-utils-dev
%defattr(-,-,-,-)

%files -n bridge-utils-doc
%defattr(-,-,-,-)
%dir "/usr"
%dir "/usr/share"
%dir "/usr/share/man"
%dir "/usr/share/man/man8"
"/usr/share/man/man8/brctl.8"

